{ config, pkgs, ... }:

{
  environment.systemPackages = with pkgs.haskellPackages; with pkgs; [
    idea-community-eap
    clion-eap
    texlive.combined.scheme-full biber
    stable.gimp
    stable.inkscape
    jabref
    stable.libreoffice-fresh
    stable.calibre

    # qutebrowser

    open-wbo # only in 17.09+

    vscode
    clang

    stack

    stable.coq_8_6

    # cargo rustc
  ] ++ (with aspellDicts; [ en de fr nl ]);

  nixpkgs.config.packageOverrides = pkgs: with pkgs; {
    myemacs = emacs25.override {
      withGTK2 = false;
      withGTK3 = true;
      withXwidgets = true;
    };
  };

}
